# A progam that can be run from the command-line
# that gives the user some information about their
# input name
#
# Author: David Kauchak
# Date: 2/13/12

if ARGV.length != 1
	puts "ruby name_analysis.rb <first_name>"
	exit
end

# determines if the supplied name is a good name or a
# bad name
def is_good_name? name
	(name =~ /^(dav(e|id)|[^aeiou]+)$/) != nil
end

# a slow implementation to determine
# the nth fibonacci number
def fib(n)
	if n == 1 or n == 2
		return 1
	else
		return fib(n-1) + fib(n-2)
	end
end

first_name = ARGV[0]

if is_good_name? first_name 
	puts "#{first_name}, that's a great name!"
else
	puts "#{first_name}, that's a stupid name :("
end

puts "If your name were a fibonacci number, it would be #{fib(first_name.length)}"